Package: groovy.ui.text

## [Java] Class FindReplaceUtility

- groovy.ui.text.FindReplaceUtility

- Authors:
    Evan "Hippy" Slatis

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `CLOSE_ACTION_COMMAND` |
    `static Action` | `FIND_ACTION` |
    `static String` | `FIND_ACTION_COMMAND` |
    `static String` | `REPLACE_ACTION_COMMAND` |
    `static String` | `REPLACE_ALL_ACTION_COMMAND` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `addTextListener(TextListener tl)`
    `` | `static void` | `dispose()`
    `` | `static String` | `getLastAction()` @return the last action
    `` | `static int` | `getReplacementCount()` @return the replacement count
    `` | `static String` | `getSearchText()` @return the search text
    `` | `static void` | `registerTextComponent(JTextComponent textComponent)` @param textComponent the text component to listen to
    `` | `static void` | `removeTextListener(TextListener tl)`
    `` | `static void` | `showDialog()`
    `` | `static void` | `showDialog(boolean isReplace)` @param isReplace show a replace dialog rather than a find dialog if true
    `` | `static void` | `unregisterTextComponent(JTextComponent textComponent)` @param textComponent the text component to stop listening to

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### public static final String CLOSE_ACTION_COMMAND

    - #### public static final Action FIND_ACTION

    - #### public static final String FIND_ACTION_COMMAND

    - #### public static final String REPLACE_ACTION_COMMAND

    - #### public static final String REPLACE_ALL_ACTION_COMMAND

  - ### Method Detail

    - #### public static void addTextListener(TextListener tl)

    - #### public static void dispose()

    - #### public static String getLastAction()

      Returns:
        the last action

    - #### public static int getReplacementCount()

      Returns:
        the replacement count

    - #### public static String getSearchText()

      Returns:
        the search text

    - #### public static void registerTextComponent(JTextComponent textComponent)

      Parameters:
        `textComponent` - the text component to listen to

    - #### public static void removeTextListener(TextListener tl)

    - #### public static void showDialog()

    - #### public static void showDialog(boolean isReplace)

      Parameters:
        `isReplace` - show a replace dialog rather than a find dialog if true

    - #### public static void unregisterTextComponent(JTextComponent textComponent)

      Parameters:
        `textComponent` - the text component to stop listening to